Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Interface Device

All Known Implementing Classes:
  AbstractDevice, AudioOutputDevice, MidiInputDevice

    public interface Device

Defines the generic properties that every device should have.

Method Summary
`Parameter<java.lang.Boolean>` | `getActiveParameter()` Gets the `ACTIVE` parameter.
`Parameter[]` | `getAdditionalParameters()` Gets `Parameter` array with the additional parameters of this device.
`int` | `getDeviceId()` Gets the numerical ID of this device.
`java.lang.String` | `getDriverName()` Gets the driver name used by this device.
`boolean` | `hasAdditionalParameters()` Determines whether this device has additional parameters.
`boolean` | `isActive()` Determines whether this device is active.

Method Detail

### getDeviceId

    int getDeviceId()

  Gets the numerical ID of this device.

  Returns:
    The numerical ID of this device or -1 if the device number is not set.

### getDriverName

    java.lang.String getDriverName()

  Gets the driver name used by this device.

  Returns:
    The driver name used by this device.

### isActive

    boolean isActive()

  Determines whether this device is active.

  Returns:
    `false` if the device is inactive and `true` otherwise.

### getActiveParameter

    Parameter<java.lang.Boolean> getActiveParameter()

  Gets the `ACTIVE` parameter.

  Returns:
    A `Parameter` instance representing the active state of the device.

### getAdditionalParameters

    Parameter[] getAdditionalParameters()

  Gets `Parameter` array with the additional parameters of this device.

  Returns:
    `Parameter` array with the additional parameters of this device.

### hasAdditionalParameters

    boolean hasAdditionalParameters()

  Determines whether this device has additional parameters.

  Returns:
    `true` if this device has additional parameters, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.